/**************************************************************************** 
** File: udp.h
**
** Author: Mike Borella
**
** Comments: Generic UDP header structure - an attempt at OS independence
**
*****************************************************************************/

#ifndef UDP_H
#define UDP_H

#include "global.h"

#define L2TP_PORT 1701
#define DHCP_CLIENT_PORT 68
#define DHCP_SERVER_PORT 67
#define SIP_PORT 5060
#define RIP_PORT 520
#define ISAKMP_PORT 500

typedef struct udp_header
{
  u_int16_t src;
  u_int16_t dst;
  u_int16_t length;
  u_int16_t checksum;
} udp_header_t;

void dump_udp(packet_t *);

#endif
